Get cron
curl --request GET \
--url https://api.example.com/crons/{id}import requests
url = "https://api.example.com/crons/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/crons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Crons
Get cron
Retrieve a single cron by ID
GET
/
crons
/
{id}
Get cron
Path parameters
string
required
The UUID of the cron to retrieve.
Response
Returns the cron object if it exists and belongs to the authenticated user.curl https://app.cronapi.dev/api/v1/crons/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
`https://app.cronapi.dev/api/v1/crons/${cronId}`,
{ headers: { "Authorization": `Bearer your_api_key_here` } }
);
const cron = await response.json();
import requests
response = requests.get(
f"https://app.cronapi.dev/api/v1/crons/{cron_id}",
headers={"Authorization": "Bearer your_api_key_here"},
)
cron = response.json()
200
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"user_id": "d4e5f6a7-b890-1234-cdef-567890abcdef",
"name": "Health check",
"cron": "*/5 * * * *",
"url": "https://example.com/health",
"method": "GET",
"headers": {},
"body": {},
"paused": false,
"next_run_at": "2026-04-15T14:35:00.000Z",
"last_run_at": "2026-04-15T14:30:00.000Z",
"created_at": "2026-04-12T10:30:00.000Z"
}
404
{
"error": "Cron not found"
}
⌘I